﻿$ErrorActionPreference = 'Stop'

$InstallPath = "$([Environment]::GetFolderPath('ApplicationData'))\\TagScanner Portable"

$packageArgs = @{
    packageName    = $env:ChocolateyPackageName
    UnzipLocation  = $InstallPath
    url            = 'https://www.xdlab.ru/files/tagscan-6.1.12.zip'
    url64          = 'https://www.xdlab.ru/files/tagscan-6.1.12_x64.zip'
    checksum       = '92bc140cb56651fd6ddf458ec7bb1b434272242e0e6510c14c02ce2ba367c44d'
    checksum64     = 'f333341ca46f22180e3ee7b975ec60d54c74a812a459373c14647e5e13fd7a40'
    checksumtype   = 'sha256'
    checksumtype64 = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs

$shortcutArgs = @{
    ShortcutFilePath = "$([Environment]::GetFolderPath('Desktop'))\\TagScanner Portable.lnk"
    TargetPath       = "$InstallPath\\Tagscan.exe"
}

Install-ChocolateyShortcut @shortcutArgs
